Mostrando resultados del 1 al 8 de 8

Tema: Problemas con GNURADIO

  1. #1
    Fecha de Ingreso
    08-febrero-2018
    Mensajes
    5
    Poder de Credibilidad
    0

    Problemas con GNURADIO

    Hola,llevo varios días peleándome con el linux ,primero con Ubuntu y ahora con este y no entiendo por que es tan dificil instalar los programas o añadir un simple bloque a gnuradio

    Lo lógico seria que desde gnu radio directamente se incluyera una opción para incorporar bloques desde fuera pero no.Me dice que me faltan bloques ,como por ejemplo el osmocon_sink pero me resulta dificilísimo incorpora un simple bloque .Cualquier esperanza de programar o modificar un bloque de esos ahora esta en el infinito y mas alta

    Me estoy dando con un muro con algo que en windows se tarda 2 minutos ,Argadecería alguna ayudita en este sentido .Me estoy volviendo loco con tanto make y cmake .Mi experiencia hasta ahora con linux ha sido casi completamente errática .

    Gracias y disculpad si esto ya ha sido contestado antes pero después de 3 días intentando echar a andar el hackrf estoy bastante harto del linux

    Saludos y gracias

  2. #2
    Fecha de Ingreso
    08-febrero-2018
    Mensajes
    5
    Poder de Credibilidad
    0
    Ahora mismo me he bajado el compilador GCC y no hay manera de instalarlo.

    Install-sh , install.sh .......no hay manera

    Es normal que la gente no use linux

  3. #3
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.174
    Poder de Credibilidad
    10
    No entiendo que problema tienes, ¿no puedes instalarlo desde el repositorio principal OSS?.

    No escribas mensajes consecutivos en un corto periodo de tiempo, para eso esta el botón Editar de tu ultimo mensajes para añadir mas datos. Porque no facilitas la lectura, la mayoría obvia los mensajes anteriores y solo lee el ultimo, y por ello se pierde una posible ayuda.

    Si quieres hacer Multicitas, haz clic en los iconos almohadilla # de los mensajes que quieras citar.

    Siento mucho insistir, por favor, lee las normas del foro que son un manual de ayuda para el usuario del foro.

    Espero tu compresión a este mensaje y recibe un cordial saludo.
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  4. #4
    Fecha de Ingreso
    08-febrero-2018
    Mensajes
    5
    Poder de Credibilidad
    0
    Cita Iniciado por DiabloRojo Ver Mensaje
    No entiendo que problema tienes, ¿no puedes instalarlo desde el repositorio principal OSS?.

    No escribas mensajes consecutivos en un corto periodo de tiempo, para eso esta el botón Editar de tu ultimo mensajes para añadir mas datos. Porque no facilitas la lectura, la mayoría obvia los mensajes anteriores y solo lee el ultimo, y por ello se pierde una posible ayuda.

    Si quieres hacer Multicitas, haz clic en los iconos almohadilla # de los mensajes que quieras citar.

    Siento mucho insistir, por favor, lee las normas del foro que son un manual de ayuda para el usuario del foro.

    Espero tu compresión a este mensaje y recibe un cordial saludo.


    El multimensaje tiene su explicación .Si lo uno con el otro la despedida pierde su sentido

    El tiempo es una magnitud a tener en cuenta .De hecho es posible que sea la magnitud ¿fisica ? mas importante .Ese lapso de horas es lo que da sentido mis dos posts y no soy precisamente un experto mecanografiando

    En cuanto al tema en estas horas he aprendido cosa como apt-get install y apt-get uninstall.parec que mientras lo que busco esta en los repositorios "normales" no hay problema .LO que no tengo claro es como hacer la operacion apt-get install desde un sito como por ejemplo github

    Ya de camino ,y yendo mas a lo concreto ,el programa gnuradio usa módulos.Ahra mismo estoy atascado porque me pide un modulo importante: osmosdr y ,aunque es fácil encontarlo en internet ,no consigo importarlo a gnuradio (entre otras cosas porque gnu radio no tiene una opción de importar módulos ).No se si es un fallo mio o algún problema de dependencias o algo .Quizás el problema ,como dije antes ,es que no sé importar(quizas instalar) desde github

    Otro problema que tengo es que la mayorai de archivos ,incluso python ,parece que no quieren ejecutarse ,en windows los abria y listo ,aqui parece que son mas remolones

    Saludos y gracias

  5. #5
    Fecha de Ingreso
    08-febrero-2018
    Mensajes
    5
    Poder de Credibilidad
    0
    ya parece que he solucionado lo de github

    git clone git(direccion del repositorio)


    A este paso no me va a hacer falta ayuda de nadie

    juraria que le habia dado a las comillas ,perdon porque parece que ha salido un post nuevo

  6. #6
    Fecha de Ingreso
    08-abril-2010
    Ubicación
    /HOME
    Mensajes
    3.705
    Poder de Credibilidad
    12
    Hola!

    Creo que no es difícil instalar un software en GNU/Linux. De hecho creo que es más sencillo y seguro gracias a la existencia de los repositorios, algo que podemos comparar a las actuales "stores" de aplicaciones para android

    Para openSUSE está en los repositorios:
    https://software.opensuse.org/package/gnuradio

    E instalará el propio software y las dependencias, por lo que no tendrás que instalar las fuentes y compilar y buscar tu mismo los paquetes necesarios.

    Que supongo que se lo que has hecho. Clonar o descargar la fuente desde GitHub, y después compilar...

    Por cierto, creo que tienes un poco de "cacao mental". apt-get no son comandos de openSUSE si no de Debian y derivadas como Ubuntu.

    saludos
    Guía básica de openSUSE Leap para recién llegados a GNU/Linux.
    → Mi blog sobre openSUSE, GNU/Linux, software libre ...y de todo un poco: Victorhck in the free world
    → Me puedes seguir en: Mastodon - diaspora* - PixelFed

  7. #7
    Fecha de Ingreso
    06-enero-2008
    Ubicación
    Almazora
    Mensajes
    3.474
    Poder de Credibilidad
    15
    Ja, ja... Todos hemos empezado, hay que tener paciencia y aprender poco a poco, que es lo difícil XD...
    Con respecto a lo de citar mensajes, ya se que soy muy torpe pero fijate si llevo años aquí y aún no me aclaro XD... Y encima no se ue carajo le pasa al Firefox desde hace años que no puedes editar goaauurrrr!!
    Ya en serio, los programas precompilados para openSUSE son con extensión .rpm, como bien dice @victorhck.
    Hay que informarse un poquito y leer, leer mucho, sí, justo lo que nadie hacemos XD...
    Salu2
    Si tienes el vibrato de BB King, el tapping de Van Halen, la velocidad de Malmsteen y la guitarra de Vai... enhorabuena eres un gran imitador.

  8. #8
    Fecha de Ingreso
    16-noviembre-2010
    Ubicación
    Delante del ordenador
    Mensajes
    776
    Poder de Credibilidad
    9
    Yo recuerdo en sus tiempos haber toqueteado el kernel 2.0.36 con ncurses activando y desactivando cosas tras lo cual había que crear la imagen a base de comando (ya ni me acuerdo ya que queda lejísimos).

    Como dicen los compañeros, ánimos. Yo también empecé haciendo ./configure, make y make install.


    Saludos

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Yast2 da error al arrancar
    By Susefan1 in forum Software
    Respuestas: 10
    Último mensaje: 01-dic-2014, 16:32
  2. Estado actual de Gnu/Linux en el Desktop
    By gery in forum General OpenSUSE
    Respuestas: 11
    Último mensaje: 29-nov-2011, 11:01
  3. Problemas con Internet después de actualización (11.4, 64bits)
    By Ajenjonadita in forum Internet, Redes y Wireless
    Respuestas: 0
    Último mensaje: 27-mar-2011, 21:50
  4. Problemas con la actualización a OpenSuse 11.0
    By gery in forum General OpenSUSE
    Respuestas: 0
    Último mensaje: 23-jun-2008, 17:03
  5. Problemas con la actualización de OpenSuse 10.3
    By gery in forum Instalación y Actualizaciones
    Respuestas: 18
    Último mensaje: 28-oct-2007, 17:43

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •